Package org.springframework.web.multipart

# Class MultipartException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.core.NestedRuntimeException
org.springframework.web.multipart.MultipartException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `MaxUploadSizeExceededException`

public class MultipartException extends org.springframework.core.NestedRuntimeException
Exception thrown when multipart resolution fails.

Since:
  29.09.2003
Author:
  Trevor D. Cook, Juergen Hoeller
See Also:
  - `MultipartResolver.resolveMultipart(jakarta.servlet.http.HttpServletRequest)`
  - `MultipartFilter`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`MultipartException(String msg)`
Constructor for MultipartException.
`MultipartException(String msg, Throwable cause)`
Constructor for MultipartException.

## Method Summary

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MultipartException

public MultipartException(String msg)
Constructor for MultipartException.

Parameters:
  `msg` - the detail message

### MultipartException

public MultipartException(String msg, @Nullable Throwable cause)
Constructor for MultipartException.

Parameters:
  `msg` - the detail message
  `cause` - the root cause from the multipart parsing API in use